QGIS Application - Bug report #15906

Snapping to vertex while using parallel/perpendicular digitizing causes a vertex to be placed
incorrectly

2016-11-29 03:54 AM - Matthew Ross

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.14.1 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23823
Description

OS: Windows 7

When creating a polygon using the digitizing tools, vertices can appear in the wrong place if the user is snapping to vertex.
A video has been attached which shows the incorrect functionality. When snapping is set To Vertex, the new vertex is placed parallel to
the highlighted vertex, but when the polygon is completed the vertex appears in the same position as the vertex used as reference. In

effect, the locked coordinate is ignored when snapping to vertex.

This issue does not occur if snapping To Segment is used instead.

History

#1 - 2016-11-29 04:30 AM - R. R.

See also: #15887 Snapping behavior for 'Distance’ (d) and 'Angle’ (a)

#2 - 2017-05-01 01:02 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No
#3 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugdfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
